import requests, pycountry, json

def predict(name=""):
    if name != "":
        url = f"https://api.nationalize.io?name={name}"

        req = requests.get(url)
        result = req.json()

        countries = result["country"]
        
        if countries != []:
            for country in countries:
                country["country_id"] = pycountry.countries.get(alpha_2=country["country_id"]).name
                country["country_name"] = country.pop("country_id") 

            data = {
                'name': result['name'],
                'countries': result['country']
            }

        status_code = req.status_code

        if status_code == 422:
            raise ValueError("Invalid name.")
        elif status_code == 200:
            return json.dumps(data, indent=4, ensure_ascii=False)
                
    else:
        raise ValueError("Name is not defined.")

print(predict("Thomas"))